{% extends "base_device.yaml.jinja2" %}

{% block device_setup %}
device_type: kv260

job_name: {{ settings.CI_JOB_NAME }}

timeouts:
  job:
    minutes: 60
  action:
    minutes: 20
  connection:
    minutes: 20

priority: medium

visibility: public

context:
  test_character_delay: 30

actions:

- deploy:
    timeout:
      minutes: 60
    to: flasher
    images:
      ImageA:
        {%- set firmware_path, firmware_extension = splitext(firmware_url["ImageA.bin.gz"]) %}
        url: {{ firmware_url["ImageA.bin.gz"] }}
        compression: {{ firmware_extension[1:] }}
      ImageB:
        {%- set os_path, firmware_extension = splitext(firmware_url["ImageB.bin.gz"]) %}
        url: {{ firmware_url["ImageB.bin.gz"] }}
        compression: {{ firmware_extension[1:] }}
      sd:
        url: {{ os_url }}
        {%- set _, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
        partition: 1
        format: ext4
        overlays:
          lava: true

- boot:
    timeout:
      minutes: 15
    method: minimal

- boot:
    timeout:
      minutes: 15
    method: minimal
    reset: false
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
    auto_login:
      login_prompt: "login:"
      username: "root"
{% endblock %}
